Bug 998490 - lightdm window displayed only a possiblility (button) to 'unlock' after logout from session
lightdm window displayed only a possiblility (button) to 'unlock' after logou...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 08:46 EDT by Wolfgang Ulbrich
Modified: 2013-09-22 20:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: lightdm-gtk-1.6.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:33:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1213837 None None None Never

  None (edit)
Description Wolfgang Ulbrich 2013-08-19 08:46:57 EDT
Description of problem:
After logout from session lightdm didn't display the login button.
I've only the possibility to 'unlock' which brings my session back.
But i can't switch session or language in this login mask.
Those possibilities was fix with lightdm-gtk-1.6.0-3.
The only way to have the normal login window is to restart the system complete or from rescue target.
Now you see also the missing menus.

Version-Release number of selected component (if applicable):
lightdm-1.7.9-1.fc20.x86_64

How reproducible:


Steps to Reproduce:
1. logout from session
2. try to switch session in lightdm
3.

Actual results:
no login button and switcher/language menu after logout

Expected results:
login button and switcher/language menu after logout
Comment 1 Wolfgang Ulbrich 2013-08-19 09:45:19 EDT
I'm not shure if this is related to the issue but this policy rule prevent me from rebooting without admin password.

        <action id="org.freedesktop.login1.reboot-multiple-sessions">
                <description>Reboot the system while other users are logged in</description>
                <message>Authentication is required for rebooting the system while other users are logged in.</message>
                <defaults>
                        <allow_any>auth_admin_keep</allow_any>
                        <allow_inactive>auth_admin_keep</allow_inactive>
                        <allow_active>yes</allow_active>
                </defaults>
                <annotate key="org.freedesktop.policykit.imply">org.freedesktop.login1.reboot</annotate>


This indicates that another session still exits, but which?
Also i'm still wondering why power off is allowed.


        <action id="org.freedesktop.login1.power-off-multiple-sessions">
                <description>Power off the system while other users are logged in</description>
                <message>Authentication is required for powering off the system while other users are logged in.</message>
                <defaults>
                        <allow_any>auth_admin_keep</allow_any>
                        <allow_inactive>auth_admin_keep</allow_inactive>
                        <allow_active>yes</allow_active>
                </defaults>
                <annotate key="org.freedesktop.policykit.imply">org.freedesktop.login1.power-off</annotate>
Comment 2 Wolfgang Ulbrich 2013-08-28 10:47:44 EDT
It seems that a login from a session don't terminate the session.
Output of login after a system start.

[rave@mother ~]$ loginctl list-sessions 
   SESSION        UID USER             SEAT            
        c1        995 lightdm          seat0           
         1       1000 rave             seat0           

2 sessions listed.

After a logout/login.

[rave@mother ~]$ loginctl list-sessions 
   SESSION        UID USER             SEAT            
         1       1000 rave             seat0           
        c2        995 lightdm          seat0           
         2       1000 rave             seat0           

3 sessions listed.

The old session is well listed.
Comment 3 Wolfgang Ulbrich 2013-08-28 11:31:33 EDT
Seems that the old session isn't terminate is a normal behaviour, my results for f18/19.

[rave@mother ~]$ loginctl list-sessions 
   SESSION        UID USER             SEAT            
         1       1000 rave             seat0                

1 sessions listed.

[rave@mother ~]$ loginctl list-sessions 
   SESSION        UID USER             SEAT            
         1       1000 rave             seat0           
         2       1000 rave             seat0
Comment 4 Fedora End Of Life 2013-09-16 12:36:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Rex Dieter 2013-09-19 10:44:56 EDT
*** Bug 1005233 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2013-09-19 10:47:15 EDT
lightdm-gtk-1.6.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lightdm-gtk-1.6.1-1.fc20
Comment 7 Fedora Update System 2013-09-19 14:34:09 EDT
Package lightdm-gtk-1.6.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lightdm-gtk-1.6.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17152/lightdm-gtk-1.6.1-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-09-22 20:33:17 EDT
lightdm-gtk-1.6.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.